> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get group attributes > Provides a list of all group attributes. ## OpenAPI ````json GET /group/getAttributes { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/group/getAttributes": { "get": { "tags": [ "Group" ], "summary": "Get group attributes", "description": "Provides a list of all group attributes.", "operationId": "getAttributes", "parameters": [ { "name": "groupId", "in": "query", "description": "ID of the group for which we request the parameters.", "required": true, "schema": { "type": "integer", "format": "int64" } } ], "responses": { "200": { "description": "Example response:

[{
\"name\": \"Test\",
\"value\": \"12345\" }, {
\"name\": \"TestRest\",
\"value\": \"12345\"
}]", "content": { "application/octet-stream": { "schema": { "type": "array", "items": { "type": "object" } } } } }, "400": { "description": "Required parameters are missing or incorrect.", "content": { "application/octet-stream": {} } }, "404": { "description": "Error response: {
\"errorActor\": \"CLIENT\",
\"errorCode\": \"INVALID_REQUEST\",
\"message\": \"Not Found\"
}", "content": { "application/octet-stream": {} } } } } } } } ````